package ch08;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class ch08_09 extends TagSupport{
  private int iterationCounter = 0;
  private String[] toppings = null;

  public int doStartTag()
  {
    toppings = (String[]) pageContext.getAttribute("toppings");
    return EVAL_BODY_INCLUDE;
  }

  public int doAfterBody() throws JspException
  {
    try{
      pageContext.getOut().print(" " + toppings[iterationCounter] + "<BR>");
    } catch(Exception e){
      throw new JspException(e.toString());
    }
    iterationCounter++;
    if(iterationCounter >= toppings.length) {
      return SKIP_BODY;
    }
    return EVAL_BODY_AGAIN;
  }
}
